NSObject(NewRSSArticleListener) Category Reference

`#import <NewRSSArticleListener.h>`

## Instance Methods

(void) | - newArticleFound:
(Class) | - articleClass
(void) | - feedTitleFound:

## Detailed Description

This protocol is intended to be implemented by classes which want to be notified of articles found when parsing RSS feeds.

## Method Documentation

## articleClass()

- (Class) articleClass |  |  |

Returns the class of the article objects. This needs to be a subclass of RSSArticle.

Returns
  the article class

## feedTitleFound:()

- (void) feedTitleFound: |  | (NSString *) | aTitle |

Gets called when a feed title has been found in a feed.

## newArticleFound:()

- (void) newArticleFound: |  | (id< RSSArticle >) | anArticle |

This method gets called when a new article has been found.

The documentation for this category was generated from the following file:

- NewRSSArticleListener.h